package com.unis.base.server.dao;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.unis.base.common.vo.TyXzzyxxHisQueryVO;
import com.unis.base.server.entity.TyXzzyxxHisDO;
@Repository
public interface TyXzzyxxHisDao {
	
    int deleteByPrimaryKey(String xzzyid);

    int insert(TyXzzyxxHisDO record);

    int insertSelective(TyXzzyxxHisDO record);

    TyXzzyxxHisDO selectByPrimaryKey(String xzzyid);

    int updateByPrimaryKeySelective(TyXzzyxxHisDO record);

    int updateByPrimaryKey(TyXzzyxxHisDO record);
    /**
	 * 分页查询
	 * @param tyTfzyxxHisQueryVO
	 * @return
	 */
	List<TyXzzyxxHisDO> findPageList(TyXzzyxxHisQueryVO tyXzzyxxHisQueryVO);

	/**
	 * 获取任务ID主键策略方法  
	 * @param maxCodeById
	 * @param string
	 * @param i
	 * @return
	 */
	String getMaxCodeById(@Param("pstr")String pstr);
}